/*
Theme Name: Betheme Child
Theme URI: https://themes.muffingroup.com/betheme/
Template: betheme
Author: Muffin group
Author URI: https://muffingroup.com/
Description: The biggest WordPress Theme ever
Version: 28.3.1773165668
Updated: 2026-03-10 19:01:08

*/

/* =========================
   WooCommerce Shop Layout
   ========================= */

/* Einheitliche Produktbilder im Shop */
.woocommerce ul.products li.product a img {
  aspect-ratio: 1 / 1;
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.shop_slider_ul .shop_slider_li img {
  aspect-ratio: 1 / 1;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Produkttitel maximal 2 Zeilen */
.woocommerce ul.products li.product h2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  min-height: 3em;
}

/* Beschreibung im Produktgrid ausblenden */
.mfn-li-product-row-description {
  display: none !important;
}

/* Preisfarbe */
.woocommerce div.product p.price,
.woocommerce div.product span.price {
  color: #958e09;
}

/* Hintergrund Preis-Tabelle */
#wapo-total-price-table {
  background-color: #f9f2e4;
}

#wapo-total-price-table table th {
  background-color: #f9f2e4;
}

.woocommerce-checkout-review-order .kg-shipping-payment{
display:block !important;
}

.woocommerce-checkout.processing {
    opacity: 0.5;
}

.mfn-cart-holder .mfn-ch-content .mfn-ch-product .mfn-chp-price .unit-price-cart{
	display: none !important;
}

body.plz-loading {
    opacity: 0.6;
    pointer-events: none;
}

.fc-step__substep{
	 background-color: #f9f2e4;
}

body.has-highlighted-billing-section div.woocommerce form .fc-step__substep[data-substep-id=billing_address] {
   background-color: #f9f2e4 !important;
}

body.has-highlighted-shipping-section div.woocommerce form .fc-step__substep[data-substep-id=shipping_address] {
   background-color: #f9f2e4 !important;
}


.mfn-li-product-row .title {
  display: -webkit-box;
  -webkit-line-clamp: 2;       /* max. 2 Zeilen */
  -webkit-box-orient: vertical;
  overflow: hidden;
  
  /* Optional: sorgt für gleichmäßige Höhe */
  line-height: 1.3em;
  min-height: calc(2 * 1.3em); /* exakt Platz für 2 Zeilen */
}

.shop_slider .shop_slider_ul .shop_slider_li .item_wrapper .desc{
	 display: -webkit-box;
  -webkit-line-clamp: 2;       /* max. 2 Zeilen */
  -webkit-box-orient: vertical;
  overflow: hidden;
  
  /* Optional: sorgt für gleichmäßige Höhe */
  line-height: 1.3em;
  min-height: calc(2 * 4.3em); /* exakt Platz für 2 Zeilen */
}